Bug 987237 - Edit conflict comment does not show for in-flux user
Edit conflict comment does not show for in-flux user
Status: CLOSED WORKSFORME
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Damian Jansen
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 23:52 EDT by Damian Jansen
Modified: 2014-07-28 01:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 01:32:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-22 23:52:40 EDT
Description of problem:
While a user is editing a translation, if another user adds a comment to the revision the revision history window will show - but does not contain the comment that caused the conflict.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Moderate, always

Steps to Reproduce:
1. Log in as translator 1 in one browser, translator 2 in another browser
 (tested with firefox and chrome)
2. As translator 1, start editing a translation target
3. As translator 2, add a comment to the same target
4. Translator 1 will be presented with a history window

Actual results:
Translator 1 can see a list of edits and comments, but not the comment originating from the conflicting user

Expected results:
See comment at top of list. Possibly a two part action by the comment save and add that the history hasn't received yet.

Additional info:
Seems you need to have something already in the field to translate - cannot add comments on an untranslated item.
Comment 1 Luke Brooker 2013-07-23 00:15:40 EDT
What should really happen (for the person editing), is the comment counter should update and allow them to keep editing. The person commenting should know someone is currently working on the string but that shouldn't effect adding a comment.

In future versions, I would like to have the comments/history below a translation for easier access.
Comment 2 Damian Jansen 2014-07-28 01:32:57 EDT
Tested 3.5.0-SNAPSHOT (git-server-3.4.2-201-ge0afdde) - works fine.

Note You need to log in before you can comment on or make changes to this bug.